// Form controls for examples

#Define GotColor "WindowText/Window"
#Define LostColor "WindowText/Window"
#Define NormalColor "BtnText/BtnFace"

class TextBC(parentObj) of TEXT(parentObj) custom
************
*- Label, Base Class
*- 2001.0829
   with (this)
      height = 14
      width = 50
      metric = 6	// Pixels
      fontSize = 8
      text = "Text"
   endwith

endclass

Class LabelBC(parentObj) of TextLabel(parentObj) custom
*************
*- Label, Base Class
*- 2001.0720
   with (this)
      height	= 14
      width		= 50
      metric	= 6	// Pixels
      fontSize	= 8
      text		= "Label"
   endwith
endclass

class EntryBC(parentObj) of EntryField(parentObj) custom
*************
*- Entryfield, Base Class
*- 2001.0724
   with (this)
      height = 20
      width = 60
      metric = 6	// Pixels
      fontSize = 8
      colorHighLight = GotColor
   endwith

endclass

class EntryNA(parentObj) of EntryBC(parentObj) custom
*************
*- Entryfield, No Access
*- 2001.0724

	with (this)
	  	when = {||false}
      colorNormal = "BtnText/BtnFace"
      mousePointer = 1	//Arrow
   endwith
endclass

class EditorBC(parentObj) of EDITOR(parentObj) custom
**************
*- Editor, Base Class
*- 2001.0724

   with (this)
      height = 36
      width = 180
      metric = 6	// Pixels
      fontSize = 8
      scrollBar = 0	// Off
      popupEnable = false
      marginHorizontal = 3
      evaltags = false
   endwith

	function onGotFocus
   *******************
   	this.colorNormal = GotColor
      return

   function onLostFocus
   ********************
   	this.colorNormal = LostColor

      return

   function Key(nChar, nPosition, bShift, bControl)
   ************
   	if TYPE("this.datalink") == "O"
      	if NOT this.dataLink.parent.parent.endofset
            if LEN(this.value.rightTrim()) >= this.datalink.length
               nChar = 0
            endif
         endif
      endif

      return nChar

endclass

class SpinBC(parentObj) of SPINBOX(parentObj) custom
************
*- Spin Box, Base Class
*- 2001.0724

   with (this)
      height = 20
      width = 50
      metric = 6	// Pixels
      fontSize = 8
      colorHighLight = GotColor
   endwith

endclass

class CheckBC(parentObj) of CheckBox(parentObj) custom
*************
*- Check Box, Base Class
*- 2001.0724

   with (this)
      height = 16
      width = 50
      metric = 6	// Pixels
      fontSize = 8
   endwith

endclass

class RadioBC(parentObj) of RADIOBUTTON(parentObj) custom
*************
*- Radio Button, Base Class
*- 2001.0904
   with (this)
      height = 14
      width = 80
      text = "Radio Button"
      metric = 6	// Pixels
      fontSize = 8
   endwith

endclass

class GridNA(parentObj) of GRID(parentObj) custom
**************
// Grid, No Access for dBASE + only
*- 2002.1007

   with (this)
      fontSize 				= 8
      colorNormal 			= "Black/0xd3e2e2"
      headingFontSize		= 8
      bgColor					= "0xd0d3d7"
      cellHeight				= 17
      hasIndicator			= true
      hasColumnLines			= true
      hasRowLines				= true
      hasVScrollHintText	= false
      allowRowSizing			= false
      allowColumnSizing		= false
      allowColumnMoving		= false
      allowEditing			= false
      allowAddRows			= false
      metric					= 6	// Pixels
   endwith

endclass





